/**
 * <copyright>
 * 
 * Copyright (c) 2010-2014 Thales Global Services S.A.S.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Thales Global Services S.A.S. - initial API and implementation
 * 
 * </copyright>
 */
package org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns;

import org.eclipse.emf.diffmerge.patterns.core.gen.corepatterns.AbstractIdentifiedElement;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Edge Bendpoint</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getSourceX <em>Source X</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getSourceY <em>Source Y</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getTargetX <em>Target X</em>}</li>
 *   <li>{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getTargetY <em>Target Y</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeBendpoint()
 * @model
 * @generated
 */
public interface EdgeBendpoint extends AbstractIdentifiedElement {
	/**
	 * Returns the value of the '<em><b>Source X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Source X</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Source X</em>' attribute.
	 * @see #setSourceX(int)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeBendpoint_SourceX()
	 * @model required="true"
	 * @generated
	 */
	int getSourceX();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getSourceX <em>Source X</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Source X</em>' attribute.
	 * @see #getSourceX()
	 * @generated
	 */
	void setSourceX(int value);

	/**
	 * Returns the value of the '<em><b>Source Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Source Y</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Source Y</em>' attribute.
	 * @see #setSourceY(int)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeBendpoint_SourceY()
	 * @model required="true"
	 * @generated
	 */
	int getSourceY();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getSourceY <em>Source Y</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Source Y</em>' attribute.
	 * @see #getSourceY()
	 * @generated
	 */
	void setSourceY(int value);

	/**
	 * Returns the value of the '<em><b>Target X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Target X</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Target X</em>' attribute.
	 * @see #setTargetX(int)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeBendpoint_TargetX()
	 * @model required="true"
	 * @generated
	 */
	int getTargetX();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getTargetX <em>Target X</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Target X</em>' attribute.
	 * @see #getTargetX()
	 * @generated
	 */
	void setTargetX(int value);

	/**
	 * Returns the value of the '<em><b>Target Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Target Y</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Target Y</em>' attribute.
	 * @see #setTargetY(int)
	 * @see org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.TemplatepatternsPackage#getEdgeBendpoint_TargetY()
	 * @model required="true"
	 * @generated
	 */
	int getTargetY();

	/**
	 * Sets the value of the '{@link org.eclipse.emf.diffmerge.patterns.templates.gen.templatepatterns.EdgeBendpoint#getTargetY <em>Target Y</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Target Y</em>' attribute.
	 * @see #getTargetY()
	 * @generated
	 */
	void setTargetY(int value);

} // EdgeBendpoint
